using Hims.Shared.EntityModels;
using System;
using System.Collections.Generic;
using System.Text;
using System.Threading.Tasks;

namespace Hims.Domain.Services
{
    public interface IDietItemsService
    {
        
        Task<IEnumerable<DietItemsModel>> FetchItemsAsync(DietItemsModel model);

        Task<IEnumerable<DietItemsModel>> FetchMeasureAsync(DietItemsModel model);
        
        Task<int> InsertItemsAsync(DietItemsModel model);

        Task<int> UpdateAsync(DietItemsModel model);

        Task<int> ModifyStatusAsync(DietItemsModel model);

    }
}
